Bug 33954 - Stack Overflow in If/While controllers
Stack Overflow in If/While controllers
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
PC All
: P4 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-03-11 01:30 UTC by Sebb
Modified: 2007-12-04 03:48 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2005-03-11 01:30:22 UTC
If the condition in the While or If controllers is permanently false (so they
don't run any of their children), the test fails with a Stack Overflow error.

For example:

ThreadGroup (forever)
  While (false)
    Sampler

Have failed to find solution so far, so raising bug to document the problem.
Comment 1 Sebb 2005-03-12 13:50:57 UTC
Further testing shows that the Stack Overflow only seems to occur if the While
controller is the only controller in a Loop controller that is set to loop many
times (or indefinitely).

This is unlikely to be the case in normal usage, so reducing priority and
severity accordingly.
Comment 2 Sebb 2007-12-04 03:48:38 UTC
Seems to have been fixed (does not appear in r600898)